﻿/* Responsive Table	*/
@media only screen and (max-width: 600px) {

    /* Force table to not be like tables anymore */
    .responsiveTable,
    .responsiveTable table,
    .responsiveTable thead,
    .responsiveTable tbody,
    .responsiveTable th,
    .responsiveTable td,
    .responsiveTable tr {
        display: block;
    }

        /* Hide table headers (but not display: none;, for accessibility) */
        .responsiveTable thead tr {
            position: absolute;
            top: -9999px;
            left: -9999px;
        }

        /* Hide DataGrid(Asp.Net) header row*/
        .responsiveTable tr:first-child {
            position: absolute;
            top: -9999px;
            left: -9999px;
        }

        .responsiveTable tr {
            border: 1px solid #ccc;
            float: left;
            width: 100%;
        }

        .responsiveTable td {
            border: none;
            border-bottom: 1px solid #eee;
            position: relative;
            padding-left: 50%;
            height: 100%;
            padding-bottom: 5px;
            padding-top: 5px;
            float: left;
            width: 50%;
            text-align: center;
        }

            .responsiveTable td:before {
                position: absolute;
                top:50%;
                transform: translateY(-50%);
                left: 6px;
                width: 50%;
                padding-right: 10px;
                white-space: nowrap;
                float:left;
            }

            .responsiveTable td::before {
                content: attr(data-label);
                font-weight: bold;
            }
}

@media only screen and (max-width: 768px) {
    .responsiveInput {
        width: 100%;
    }

    .T-LA {
        padding-left: 0px;
        padding-right: 0px;
        height: auto;
        left:0px !important;
    }

    .responsiveContainer table {
        width: 100% !important;
    }

    .dekontSecimButton {
        width: 50% !important;
    }

    #Error_PnlTransactionError {
        width: 100% !important;
        word-wrap: break-word;
    }

        #Error_PnlTransactionError textarea {
            width: 100% !important;
        }

    .pageContainer {
        min-width: 0px !important;
    }

        .pageContainer.iframePageContainer {
            width: 100% !important;
        }

    .ui-button {
        margin: 0 !important;
        width: 100%;
    }

    .generalInfoTblResponsive,
    .generalInfoTblResponsive table,
    .generalInfoTblResponsive thead,
    .generalInfoTblResponsive tbody,
    .generalInfoTblResponsive th,
    .generalInfoTblResponsive td,
    .generalInfoTblResponsive tr {
        display:block;
    }
        .generalInfoTblResponsive tr {
            float: left;
            width: 100%;
        }

        .generalInfoTblResponsive td {
            position: relative;
            padding-left: 0px;
            height: 100%;
            width: 100%;
            float: left;
        }
}